var Nova = getApp().Nova

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    options: null
  },
  ready: function () {
    // 在组件布局完成后执行，确保options参数中有data信息
    this.loadData()
  },
  /**
   * 组件的初始数据
   */
  data: {},
  lifetimes: {
    attached: function () {}
  },
  /**
   * 组件的方法列表
   */
  methods: {
    loadData() {
      console.log('辅助线', this.data.options)
      let { options } = this.data
      let { style } = options
      this.setData({
        style
      })
    },
    goNovaURL: function (ev) {
      let url = ev.currentTarget.dataset.url
      Nova.goNovaURL(url)
    }
  }
})
